
#ifndef	__ACTTESTSUITE_H__
#define	__ACTTESTSUITE_H__

typedef struct __ITestSuite	ITestSuite;

typedef struct __ITestSuiteVtbl ITestSuiteVtbl;

struct __ITestSuiteVtbl
{
    ITestVtbl super_;
    void(*AddTest)(ITestSuite* pme, ITest* pITest);
    
};


ITestSuite* ITestSuite_New(char* name);
//ITestSuite* ITestSuite_Ctor(ITestSuite* pme, char* name, int numberOfTests, ITest** tests);
ITestSuite* ITestSuite_Ctor(ITestSuite* pme, char* name);
#define ITestSuite_AddTest(pMe, pITest) (*(ITestSuiteVtbl**)pMe)->AddTest(pMe, pITest)

#endif/*__ACTTESTSUITE_H__*/

